var firstHit; var rand = Math.floor(Math.random()*6); var maxDamage = 32;
var itemID = 284; var breakSpeech = "I am not going to waste any more gold this way"; var repair = 3;
var power = Math.sqrt(blunt_lvl*10)+3; var basicDMG = 0; var stunChance = 6; var stunPower = 3;
var damageGet = 1; var tool = [12, 10, 12, 90, 5, 18, 6]; itemUsed = true; mainSkill = blunt_lvl;

bluntEngine(firstHit,rand,max_damage,citemID,breakSpeech,repair,power,basicDMG,stunChance,stunPower);
if (pinv.getCurrentItem() != null) {if (pinv.getCurrentItem().itemID == itemID) 
{var ent = pinv.getCurrentItem(); player.swingMainHand();}}
if (pinv.getOffhandItem() != null) {if (pinv.getOffhandItem().itemID == itemID) 
{var ent = pinv.getOffhandItem(); player.swingOffHand();}}

if (hitBlock != null) {time.sleep(0.05);
script.runScript("destructable blocks.js");}